Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 984523003: bindings: Moves most of DOM attributes to prototype chains. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 3 months ago by Yuki
Modified:
2 years, 3 months ago
Reviewers:
haraken
CC:
blink-reviews, blink-reviews-bindings_chromium.org, vivekg_samsung, arv+blink, vivekg
Target Ref:
refs/remotes/origin/master
Project:
blink
Visibility:
Public.

Description

bindings: Moves most of DOM attributes to prototype chains. Design document: https://docs.google.com/a/google.com/document/d/1yeHTCHhulVIlrKyx9_gCguAhLfcefVOa9uxxfW2LVG0/edit Intent-to-ship-and-implement in blink-dev: https://groups.google.com/a/chromium.org/d/topic/blink-dev/H0MGw0jkdn4/discussion This CL can cause a slight regression in a couple of micro-benchmarks (e.g., Dromaeo/dom-traverse, Dromaeo/jsquery-traverse etc) but that is expected. See this spreadsheet for full performance results: https://docs.google.com/a/google.com/spreadsheets/d/1Q6h2A11a2R4Q_MRuv_diyZCNzQBFExziXkV2MwChw48/edit#gid=622133744 BUG=43394 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=191752

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : Synced. #

Patch Set 5 : Synced. #

Patch Set 6 : #

Total comments: 4

Patch Set 7 : Synced. #

Patch Set 8 : Addressed a review comment. #

Patch Set 9 : Updated test results. #

Patch Set 10 : Synced. #

Patch Set 11 : Updated test results. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+8011 lines, -337 lines) Patch
M LayoutTests/fast/dom/custom/type-extensions.html View 1 3 chunks +7 lines, -4 lines 0 comments Download
M LayoutTests/http/tests/inspector/tracing/timeline-xhr-event-expected.txt View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M LayoutTests/http/tests/notifications/resources/instrumentation-service-worker.js View 1 2 3 4 2 chunks +3 lines, -1 line 0 comments Download
M LayoutTests/http/tests/w3c/webperf/approved/navigation-timing/html/idlharness-expected.txt View 1 2 2 chunks +50 lines, -50 lines 0 comments Download
M LayoutTests/inspector/console/console-command-copy-expected.txt View 1 2 1 chunk +10 lines, -1 line 0 comments Download
M LayoutTests/inspector/console/console-dir-expected.txt View 1 2 3 4 5 1 chunk +0 lines, -10 lines 0 comments Download
M LayoutTests/inspector/extensions/extensions-sidebar.html View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/inspector/extensions/extensions-sidebar-expected.txt View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/storage/indexeddb/keypath-intrinsic-properties-expected.txt View 1 2 1 chunk +5 lines, -5 lines 0 comments Download
M LayoutTests/virtual/stable/webexposed/global-interface-listing-dedicated-worker-expected.txt View 1 2 3 4 5 6 7 8 9 10 23 chunks +288 lines, -3 lines 0 comments Download
M LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt View 1 2 3 4 5 6 7 8 9 112 chunks +3086 lines, -34 lines 0 comments Download
M LayoutTests/virtual/stable/webexposed/global-interface-listing-shared-worker-expected.txt View 1 2 3 4 5 6 7 8 9 10 23 chunks +289 lines, -3 lines 0 comments Download
M LayoutTests/webexposed/global-interface-listing-dedicated-worker-expected.txt View 1 2 3 4 5 6 7 8 9 10 27 chunks +310 lines, -3 lines 0 comments Download
M LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 4 5 6 7 8 9 122 chunks +3436 lines, -39 lines 0 comments Download
M LayoutTests/webexposed/global-interface-listing-shared-worker-expected.txt View 1 2 3 4 5 6 7 8 9 10 27 chunks +311 lines, -3 lines 0 comments Download
M Source/bindings/scripts/v8_attributes.py View 1 2 3 4 5 6 7 2 chunks +29 lines, -1 line 0 comments Download
M Source/bindings/tests/results/core/V8SVGTestInterface.cpp View 4 chunks +8 lines, -7 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestException.cpp View 3 chunks +8 lines, -8 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestInterfaceCheckSecurity.cpp View 5 chunks +25 lines, -25 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestInterfaceEventConstructor.cpp View 7 chunks +38 lines, -38 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestInterfaceEventInitConstructor.cpp View 3 chunks +5 lines, -5 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestInterfaceGarbageCollected.cpp View 4 chunks +8 lines, -7 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestInterfaceNode.cpp View 8 chunks +40 lines, -35 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestInterfaceWillBeGarbageCollected.cpp View 4 chunks +8 lines, -7 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestNode.cpp View 7 chunks +26 lines, -22 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestObject.cpp View 1 2 3 4 5 6 7 7 chunks +11 lines, -16 lines 0 comments Download
M Source/bindings/tests/results/core/V8TestTypedefs.cpp View 4 chunks +10 lines, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 8 (3 generated)
Yuki
Could you review this CL?
2 years, 3 months ago (2015-03-10 13:20:37 UTC) #2
haraken
LGTM! Let's give it a try. https://codereview.chromium.org/984523003/diff/100001/LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt File LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt (right): https://codereview.chromium.org/984523003/diff/100001/LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt#newcode238 LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt:238: getter Q Not ...
2 years, 3 months ago (2015-03-11 03:19:32 UTC) #3
Yuki
https://codereview.chromium.org/984523003/diff/100001/LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt File LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt (right): https://codereview.chromium.org/984523003/diff/100001/LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt#newcode238 LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt:238: getter Q On 2015/03/11 03:19:32, haraken wrote: > > ...
2 years, 3 months ago (2015-03-11 08:44:36 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/984523003/200001
2 years, 3 months ago (2015-03-12 02:58:50 UTC) #7
commit-bot: I haz the power
2 years, 3 months ago (2015-03-12 04:45:42 UTC) #8
Message was sent while issue was closed.
Committed patchset #11 (id:200001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=191752
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589